%global pypi_name PyXB

%if 0%{?fedora} > 12
%global with_python3 1
%endif

Name:           %{pypi_name}
Version:        1.2.5
Release:        2%{?dist}
Summary:        Python XML Schema Bindings

License:        ASL 2.0
URL:            http://pyxb.sourceforge.net

Source0:        https://github.com/pabigot/pyxb/archive/%{name}-%{version}.tar.gz

Patch0:         %{pypi_name}-unbundle-six.patch

BuildArch:      noarch

BuildRequires:  python2-devel
BuildRequires:  python-six

Requires:       python-six

%description
PyXB (“pix-bee”) is a pure Python package that generates Python source
code for classes that correspond to data structures defined by
XMLSchema.

%package doc
Summary:        PyXB documentation

%description doc
This package contains documentation and examples for PyXB.

%if 0%{?with_python3}
%package -n python3-%{pypi_name}
Summary:        Python XML Schema Bindings

BuildRequires:  python3-devel
BuildRequires:  python3-six

Requires:       python3-six

%description -n python3-%{pypi_name}
PyXB (“pix-bee”) is a pure Python package that generates Python source
code for classes that correspond to data structures defined by
XMLSchema.

%package -n python3-%{pypi_name}-doc
Summary:        PyXB documentation

%description -n python3-%{pypi_name}-doc
This package contains documentation and examples for PyXB.
%endif

%prep
%setup -q -n pyxb-%{name}-%{version}

find . -name .gitignore -delete

%patch0 -p1

%build
%if 0%{?with_python3}
%py3_build
%endif

%py2_build

%install
%if 0%{?with_python3}
%py3_install
rm %{buildroot}%{_bindir}/*
%endif

%py2_install

%check
%{__python2} setup.py test

%files
%license LICENSE NOTICE
%{_bindir}/*
%{python2_sitelib}/*

%files doc
%license LICENSE NOTICE
%doc doc/* README.txt examples/*

%if 0%{?with_python3}
%files -n python3-%{pypi_name}
%license LICENSE NOTICE
%{python3_sitelib}/*

%files -n python3-%{pypi_name}-doc
%license LICENSE NOTICE
%doc doc/* README.txt examples/*
%endif

%changelog
* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Sun Jan 08 2017 Marcus Karlsson <mk@acc.umu.se> - 1.2.5-1
- Update to upstream release 1.2.5

* Mon Dec 19 2016 Miro Hrončok <mhroncok@redhat.com> - 1.2.4-10
- Rebuild for Python 3.6

* Wed Sep 07 2016 Marcus Karlsson <mk@acc.umu.se> - 1.2.4-9
- Fix python dependency

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.4-8
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.4-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Tue Nov 10 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.4-6
- Rebuilt for https://fedoraproject.org/wiki/Changes/python3.5

* Tue Jun 16 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.4-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Fri May 15 2015 Michal Srb <msrb@redhat.com> - 1.2.4-4
- Fix license tag
- Use %%license macro

* Thu May 14 2015 Ville Skyttä <ville.skytta@iki.fi> - 1.2.4-3
- Don't ship .gitignore

* Tue Jan 20 2015 Michal Srb <msrb@redhat.com> - 1.2.4-2
- Unbundle python-six

* Mon Oct 20 2014 Michal Srb <msrb@redhat.com> - 1.2.4-1
- Update to official upstream version 1.2.4

* Mon Sep 22 2014 Michal Srb <msrb@redhat.com> - 1.2.4-0.2.gitc494ba3
- Move documentation and examples to subpackage (Resolves: rhbz#1144488)

* Thu Jul 17 2014 Michal Srb <msrb@redhat.com> - 1.2.4-0.1
- Update to prerelease version 1.2.4
- Add python3 subpackage

* Fri Jun 06 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri Apr 25 2014 Mikolaj Izdebski <mizdebsk@redhat.com> - 1.2.3-1
- Update to upstream version 1.2.3
- Resolves: rhbz#1086133

* Fri Aug 02 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu Jan 12 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Mar 16 2011 Marek Mahut <mmahut@fedoraproject.org> - 1.1.2-1
- Initial build
